=== debian/changelog ===
libstxxl (1.3.1-5ubuntu1) trusty; urgency=low

  * Resolve FTBFS from extra build infrastructure command

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 12 Nov 2013 17:01:58 -0500

libstxxl (1.3.1-5) unstable; urgency=low

  * Apply doxygen SVG output patch (Closes: #721261)
  * Enable hardening during build
  * Update uploader email

 -- D Haley <mycae@gmx.com>  Fri, 30 Aug 2013 22:34:04 +0200

libstxxl (1.3.1-4) unstable; urgency=low

  * Remove ICPC compat header (Closes: #674779)

 -- D Haley <mycae@yahoo.com>  Tue, 17 Jun 2012 04:34:32 +1000

libstxxl (1.3.1-3) unstable; urgency=low

  * Team upload.
  * Fix build failure with GCC 4.7, thanks to Matthias Klose (Closes: #672055)
  * Bump standards version to 3.9.3
  * Remove useless quilt references in debian/control & debian/rules.
  * Remove duplicate section in debian/control.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 27 May 2012 14:44:51 +0100

libstxxl (1.3.1-2) unstable; urgency=low

  * Team upload
  * Standards-Version updated to version 3.9.2
  * Remove lintian warning copyright-has-url-from-dh_make-boilerplate

  [ D Haley ]
  * Import rules include dir fix from 1.3.0-x series. (Closes: #619386)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Feb 2012 15:36:02 +0100

libstxxl (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Add doxygen-latex build-dep (Closes: #616262) 
  
  [ Sylvestre Ledru ]
  * Remove myself from the uploaders
  * Switch to dpkg-source 3.0 (quilt) format

 -- D Haley <mycae@yahoo.com>  Mon, 11 Apr 2011 00:40:06 +0100

libstxxl (1.3.0-1) unstable; urgency=low

  * New upstream release

 -- D Haley <mycae@yahoo.com>  Tue, 10 Aug 2010 03:18:56 +1000

libstxxl (1.2.1-3) unstable; urgency=low

  * Standards-Version updated to version 3.8.4

  [ D Haley ]
  * Remove floatflt from tutorial latex file, as it is no longer in texlive
  * Added more files to clean.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 10 Feb 2010 09:59:38 +0100

libstxxl (1.2.1-2) unstable; urgency=low

  [ D Haley ]
  * Correct copyright field in debian/copyright

  [ Sylvestre Ledru ]
  * Add myself to the uploader (which I should have been done since the first
    release)
 
 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Jan 2010 11:27:08 +0100

libstxxl (1.2.1-1) unstable; urgency=low

  * Initial release (Closes: #540513) 

 -- D Haley <mycae@yahoo.com>  Sat, 29 Aug 2009 20:12:15 +1000
