=== debian/control ===
Source: libstxxl
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: D Haley <mycae@gmx.com>
Vcs-Git: git://git.debian.org/git/debian-science/packages/libstxxl1.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/libstxxl1.git
Build-Depends: debhelper (>= 7), doxygen, doxygen-latex, texlive-fonts-extra, cdbs,
 texlive-latex-extra, graphviz, texlive-latex-recommended,
 texlive-fonts-recommended, ghostscript
Standards-Version: 3.9.4
Homepage: http://stxxl.sourceforge.net

Package: libstxxl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ STL drop-in replacement for extremely large datasets
 STXXL provides an STL replacement using an abstraction layer to
 storage devices to allow for the optimal layout of data structures. This
 allows for multi-terabyte datasets to be held and manipulated in standard
 C++ data structures, whilst abstracting the complexity of managing this
 behaviour efficiently. STXXL utilises multi-disk I/O to speed up
 I/O bound calculations. STXXL has been developed at the University
 of Karlsruhe.

Package: libstxxl-dev
Section: libdevel
Priority: extra
Depends: libstxxl1 (= ${binary:Version}), ${misc:Depends}
Suggests: libstxxl-doc
Architecture: any
Description: Development libraries for STXXL
 STXXL provides an STL replacement using an abstraction layer to
 storage devices to allow for the optimal layout of data structures. This
 allows for multi-terabyte datasets to be held and manipulated in standard
 C++ data structures, whilst abstracting the complexity of managing this
 behaviour efficiently. STXXL utilises multi-disk I/O to speed up
 I/O bound calculations. STXXL has been developed at the University
 of Karlsruhe.
 .
 Development libraries for STXXL, required for building programs that
 utilise the STXXL library

Package: libstxxl-doc
Section: doc
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: Documentation for STXXL
 STXXL provides an STL replacement using an abstraction layer to
 storage devices to allow for the optimal layout of data structures. This
 allows for multi-terabyte datasets to be held and manipulated in standard
 C++ data structures, whilst abstracting the complexity of managing this
 behaviour efficiently. STXXL utilises multi-disk I/O to speed up
 I/O bound calculations. STXXL has been developed at the University
 of Karlsruhe.
 . 
 Documentation for the STXXL library.

Package: libstxxl1-dbg
Section: debug
Priority: extra
Depends: libstxxl1 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Debugging symbols for STXXL libraries
 STXXL provides an STL replacement using an abstraction layer to
 storage devices to allow for the optimal layout of data structures. This
 allows for multi-terabyte datasets to be held and manipulated in standard
 C++ data structures, whilst abstracting the complexity of managing this
 behaviour efficiently. STXXL utilises multi-disk I/O to speed up
 I/O bound calculations. STXXL has been developed at the University
 of Karlsruhe.
 .
 Debugging symbols for STXXL, required for debugging programs that
 utilise the STXXL library
