=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_BUILD_TARGET := library_g++
STXXL_MAJOR=1

configure/libstxxl-dev::
	echo "OPT=-fPIC" > make.settings.local
	echo DEBUG=-g >> make.settings.local

build/libstxxl-doc::
	#Build doxygen stuff
	$(MAKE) doxy
	#Build tutorial
	cd doc/tutorial && $(MAKE)

install/libstxxl1::
	cd lib; \
	if test ! -f libstxxl.so.${DEB_UPSTREAM_VERSION}; then \
	mv libstxxl.so libstxxl.so.${DEB_UPSTREAM_VERSION}; \
	ln -s libstxxl.so.${DEB_UPSTREAM_VERSION} libstxxl.so.$(STXXL_MAJOR); \
	ln -s libstxxl.so.${DEB_UPSTREAM_VERSION} libstxxl.so; \
	fi

binary/libstxxl1::
	#Fix header directory problem 
	mv $(CURDIR)/debian/libstxxl-dev/usr/include/include/* $(CURDIR)/debian/libstxxl-dev/usr/include/
	rmdir  $(CURDIR)/debian/libstxxl-dev/usr/include/include/
	#Fix ICPC workaround which generates conflict with other package
	rm $(CURDIR)/debian/libstxxl-dev/usr/include/bits/intel_compatibility.h
	rmdir $(CURDIR)/debian/libstxxl-dev/usr/include/bits
	#Remove duplicated changelog
	-rm $(CURDIR)/debian/libstxxl1/usr/share/doc/libstxxl1/CHANGELOG.gz

clean::
	-cd lib; \
	rm -f libstxxl.so*
	-rm -f common/stxxl_info.stxxl.bin
	-rm -rf doc/doxy/
	-rm -f 	doc/tutorial/allmakros.aux
	-rm -f 	doc/tutorial/tutorial.aux
	-rm -f 	doc/tutorial/tutorial.bbl
	-rm -f 	doc/tutorial/tutorial.blg
	-rm -f 	doc/tutorial/tutorial.dvi
	-rm -f 	doc/tutorial/tutorial.idx
	-rm -f 	doc/tutorial/tutorial.log
	-rm -f 	doc/tutorial/tutorial.pdf
	-rm -f 	doc/tutorial/tutorial.toc
	-rm -f 	make.settings
	-rm -f 	make.settings.local
	-rm -f log
