=== debian/tests/control ===
Tests: unittests
Depends: libstxxl-dev, g++
